#-------------------------------------------------
#
# Project created by QtCreator 2013-02-11T16:22:41
#
#-------------------------------------------------

QT       += core
QT       += network
QT       += gui

TARGET = QrfeReaderInterface
CONFIG   += console
CONFIG   -= app_bundle

TEMPLATE = app


SOURCES += src/main.cpp \
    src/TestWidget.cpp \
    src/impl/ConsoleTrace.cpp \
    src/impl/Sleeper.cpp \
    src/rfe/QrfeReaderInterface.cpp \
    src/rfe/device/QrfeFifo.cpp \
    src/rfe/trace/QrfeTraceInterface.cpp \
    src/rfe/protocol/QrfeMessageQueue.cpp \
    src/rfe/protocol/QrfeProtocolHandler.cpp \
    src/rfe/protocol/QrfeProtocolConstants.cpp \
    src/rfe/protocol/QrfeTagEvent.cpp \
    src/rfe/protocol/QrfePURprotocolHandler.cpp

HEADERS += \
    src/TestWidget.h \
    src/impl/ConsoleTrace.h \
    src/impl/Sleeper.h \
    src/rfe/QrfeReaderInterface.h \
    src/rfe/device/QrfeFifo.h \
    src/rfe/trace/QrfeTraceInterface.h \
    src/rfe/protocol/QrfeMessageQueue.h \
    src/rfe/protocol/QrfeProtocolConstants.h \
    src/rfe/protocol/QrfeProtocolHandler.h \
    src/rfe/protocol/QrfeTagEvent.h \
    src/rfe/protocol/QrfePURprotocolHandler.h

FORMS += \
    src/TestWidget.ui
