#include "stdafx.h"
#include "Utility.h"

CUtility::CUtility()
{

}

CUtility::~CUtility()
{

}

CString CUtility::DataToString(BYTE* pData, UINT nSize, BOOL bSeparator)
{
	CString strRet = _T("");
	if((pData != NULL) && (nSize > 0))
	{
		TCHAR szData[MAX_PATH];
		for(UINT nCount = 0; nCount < nSize; nCount++)
		{

			_stprintf_s(szData, MAX_PATH, _T("%02X"), pData[nCount]);

			strRet += szData;
			if(bSeparator && (nCount != (nSize - 1)))
			{
				strRet += "-";
			}
		}
	}
	return strRet;
}

void CUtility::HexToByte(BYTE* pDataIn, UINT nSize, BYTE** pData, DWORD& dwSize)
{
	if((pDataIn != NULL) && (nSize > 0))
	{
		dwSize = nSize / 2;
		*pData = new BYTE[dwSize];
		UINT nData = -1;
		char szDataConv[3] = {0, 0, 0};
		for(UINT nCount = 0; nCount < nSize / 2; nCount++)
		{
			szDataConv[0x00] = pDataIn[nCount * 2];
			szDataConv[0x01] = pDataIn[nCount * 2 + 1];

			sscanf_s(szDataConv, "%02X", &nData);

			(*pData)[nCount] = nData;
		}
	}
}