#pragma once
#include "afxwin.h"
#include "vector"
#include "afxcmn.h"

class CDlgGenericInfo : public CPropertyPage
{
	DECLARE_DYNAMIC(CDlgGenericInfo)

private:
	std::vector<UINT>	m_vctCom;

public:
	CDlgGenericInfo();
	virtual ~CDlgGenericInfo();

	enum { IDD = IDD_DIALOG_GENERIC_INFO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
protected:
	CEdit		m_ctrlSerialNr;
	CEdit		m_ctrlReaderType;
	CEdit		m_ctrlHardwareRev;
	CEdit		m_ctrlSoftwareRev;
	CEdit		m_ctrlBootRev;
	CEdit		m_ctrlCurrentState;
	CEdit		m_ctrlAttenuation;
	CEdit		m_ctrlSensitivity;
	CComboBox	m_ctrlCom;
	CComboBox	m_ctrlFreq;
	CSpinButtonCtrl m_ctrlSpinAttenuation;
	CSpinButtonCtrl m_ctrlSpinSensitivity;

protected:
	afx_msg void OnDeltaposSpinAttenuation(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinSensivity(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButtonGetInfo();
	afx_msg void OnBnClickedButtonReboot();
	afx_msg void OnBnClickedButtonAttenuation();
	afx_msg void OnBnClickedButtonSensivity();
	afx_msg void OnBnClickedButtonFrequency();
	afx_msg void OnBnClickedButtonSaveSettings();
	afx_msg void OnBnClickedButtonRestoreSettings();

public:
	void InsertCom(UINT nCom);
};
