#pragma once

#include "vector"
#include "afxwin.h"

class CDlgReadWrite : public CPropertyPage
{
	DECLARE_DYNAMIC(CDlgReadWrite)

private:
	std::vector<UINT>	m_vctCom;

public:
	CDlgReadWrite();
	virtual ~CDlgReadWrite();

	enum { IDD = IDD_DIALOG_READ_WRITE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);   
	virtual BOOL OnInitDialog();

	afx_msg void OnBnClickedButtonScan();
	afx_msg void OnBnClickedButtonRead();
	afx_msg void OnBnClickedButtonWrite();
	afx_msg void OnBnClickedButtonKillTag();
	afx_msg void OnBnClickedButtonLock();

	DECLARE_MESSAGE_MAP()

protected:
	CComboBox	m_ctrlCom;
	CComboBox	m_ctrlCards;
	CComboBox	m_ctrlBank;
	CComboBox	m_ctrlLockBank;
	CComboBox	m_ctrlLockType;
	CEdit		m_ctrlAddress;
	CEdit		m_ctrlNrBytes;
	CEdit		m_ctrlPass;
	CEdit		m_ctrlData;
	CButton		m_ctrlRead;
	CButton		m_ctrlWrite;

public:
	void InsertCom(UINT nCom);
};
