#include "stdafx.h"
#include "R-DT-EVO-UHF-USB-SDK-DEMO.h"
#include "R-DT-EVO-UHF-USB-SDK-DEMODlg.h"
#include "R-DT-EVO-UHF-USB-SDK.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif




class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()




CRDTEVOUHFUSBSDKDEMODlg::CRDTEVOUHFUSBSDKDEMODlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CRDTEVOUHFUSBSDKDEMODlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRDTEVOUHFUSBSDKDEMODlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CRDTEVOUHFUSBSDKDEMODlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
END_MESSAGE_MAP()



BOOL CRDTEVOUHFUSBSDKDEMODlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}


	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// scan all coms and inserted in dlg list
	// fast refresh
	UINT nComPos = 0x00, nCom = -1;
	while((nCom = GetAvailableCom(nComPos++)) != -1)
	{
		m_clsGenInfo.InsertCom(nCom);
		m_clsScan.InsertCom(nCom);
		m_clsReadWrite.InsertCom(nCom);
	}

	m_clsPropSheet.AddPage(&m_clsGenInfo);
	m_clsPropSheet.AddPage(&m_clsScan);
	m_clsPropSheet.AddPage(&m_clsReadWrite);

	m_clsPropSheet.Create(this, WS_CHILD | WS_VISIBLE | CBRS_TOP);

	m_clsPropSheet.ShowWindow(SW_SHOW);

	CRect clsWndRct;
	GetClientRect(clsWndRct);
	clsWndRct.bottom -= 40;
	clsWndRct.right -= 10;

	m_clsPropSheet.MoveWindow(clsWndRct);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CRDTEVOUHFUSBSDKDEMODlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}


void CRDTEVOUHFUSBSDKDEMODlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); 

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}


HCURSOR CRDTEVOUHFUSBSDKDEMODlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

